package com.ruoyi.powerdistribution.domain.vo;

import com.ruoyi.powerdistribution.domain.*;

import java.util.List;

/**
 * 日报VO
 */
public class ReportDayWeek {

    /**
     * 履职统计
     */
    private List<PdmReportAppointmentWeek> appointmentList;

    /**
     * 违章统计
     */
    private List<PdmReportIllegalWeek> illegalList;

    /**
     * 工作计划统计
     */
    private List<PdmReportPlanWeek> planList;

    /**
     * 下周工作计划统计
     */
    private List<PdmReportPlanNextWeek> nextList;

    /**
     * 三级作业计划列表
     */
    private List<PdmWorkPlan> workList;

    public List<PdmReportAppointmentWeek> getAppointmentList() {
        return appointmentList;
    }

    public void setAppointmentList(List<PdmReportAppointmentWeek> appointmentList) {
        this.appointmentList = appointmentList;
    }

    public List<PdmReportIllegalWeek> getIllegalList() {
        return illegalList;
    }

    public void setIllegalList(List<PdmReportIllegalWeek> illegalList) {
        this.illegalList = illegalList;
    }

    public List<PdmReportPlanWeek> getPlanList() {
        return planList;
    }

    public void setPlanList(List<PdmReportPlanWeek> planList) {
        this.planList = planList;
    }

    public List<PdmReportPlanNextWeek> getNextList() {
        return nextList;
    }

    public void setNextList(List<PdmReportPlanNextWeek> nextList) {
        this.nextList = nextList;
    }

    public List<PdmWorkPlan> getWorkList() {
        return workList;
    }

    public void setWorkList(List<PdmWorkPlan> workList) {
        this.workList = workList;
    }
}
